%define oname   text-hyphen

Name:       ruby-%{oname}
Version:    1.0.2
Release:    %mkrel 1
Summary:    Hyphenate words using modified versions of TeX hyphenation patterns
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge)
BuildRequires: rubygem(hoe) >= 2.8.0
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Text::Hyphen will hyphenate words using modified versions of TeX hyphenation
patterns.
Text::Hyphen will properly hyphenate various words according to the rules of
the language the word is written in. The algorithm is based on that of the
TeX
typesetting system by Donald E. Knuth. This is based on the Perl
implementation
of TeX::Hyphen[1] and the Ruby port[2]. The language hyphenation pattern
files
are based on the sources available from CTAN[3] as of 2004.12.19 and have
been
translated by Austin Ziegler.
This release is 1.0.2. It is a minor bugfix for the RubyGem release of
Text::Hyphen to enable the hyphen command-line program. Text::Hyphen
represents
a significant improvement over its predecessor, TeX::Hyphen.

%files
%defattr(-, root, root, -)
%{_bindir}/hyphen
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENCE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.2-1.mga1
+ Revision: 51441
- imported package ruby-text-hyphen


* Fri Feb 11 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.2-1
- Initial package
